#define F_CPU 24000000UL

#include <avr/io.h>
#include <util/delay.h>

#define zero_high .2
#define zero_low .45
#define one_high .55
#define one_low .45

#define PORTC_H 8
#define PORTC_L 0
unsigned char green_i=0;
unsigned char red_i=0;
unsigned char blue_i=8;
int main(void){

_PROTECTED_WRITE(CLKCTRL.OSCHFCTRLA, CLKCTRL_FREQSEL_24M_gc);

PORTC.DIR|=PIN3_bm;
_delay_ms(2000);
while(1){
//for 1

unsigned char count=8;

while(count >0){
count--;
if(green_i & (1<<count)){
PORTC.OUT=PORTC_H;
_delay_us(one_high);
PORTC.OUT=PORTC_L;
_delay_us(one_low);

}
else{
PORTC.OUT=PORTC_H;
_delay_us(zero_high);
PORTC.OUT=PORTC_L;
_delay_us(zero_low);
}

}
//for red
count=8;
while(count >0){
count--;
if(red_i & (1<<count)){
PORTC.OUT=PORTC_H;
_delay_us(one_high);
PORTC.OUT=PORTC_L;
_delay_us(one_low);

}
else{
PORTC.OUT=PORTC_H;
_delay_us(zero_high);
PORTC.OUT=PORTC_L;
_delay_us(zero_low);
}
}
//for blue
count=8;
while(count >0){
count--;
if(blue_i & (1<<count)){
PORTC.OUT=PORTC_H;
_delay_us(one_high);
PORTC.OUT=PORTC_L;
_delay_us(one_low);

}
else{
PORTC.OUT=PORTC_H;
_delay_us(zero_high);
PORTC.OUT=PORTC_L;
_delay_us(zero_low);
}
}
_delay_us(300);
}




return(0);
}

